Posting Initial DataΒΆ
Posting Initial Data - Get Initial DataΒΆ
HTTP Request
POST /api/v1/posting-initial-data
π Description: Submits initial data for establishing the financial organization structure, enabling the configuration of hierarchical relationships within the financial entity.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing the initial organizational structure data for a financial entity, including hierarchy details and relevant metadata. |
Body Parameters
1{
2 "journalInitialDataRequests": [
3 {
4 "id": 0,
5 "company": {
6 "id": 0,
7 "displayId": "string"
8 },
9 "erpSystem": {
10 "id": 0,
11 "displayId": "string"
12 },
13 "accountingStandardId": 0,
14 "postingDate": "2019-08-24",
15 "principalPositionType": "LESSEE",
16 "internalAssetClassId": 0,
17 "accountingStandardType": "GAAP",
18 "leaseType": "LEASE_CONTRACT_FIXED_PART_A",
19 "leaseClassificationType": "NON_LEASE",
20 "businessAreaId": 0,
21 "fiscalVariantId": 0,
22 "journalEntrySubTypes": [
23 "LIABILITY"
24 ],
25 "exchangeRateRequests": {
26 "property1": {
27 "erpSystem": {
28 "id": 0,
29 "displayId": "string"
30 },
31 "fromCurrency": {
32 "id": 0,
33 "displayId": "string"
34 },
35 "toCurrency": {
36 "id": 0,
37 "displayId": "string"
38 },
39 "referenceCurrency": {
40 "id": 0,
41 "displayId": "string"
42 },
43 "exchangeRateType": "string",
44 "conversionDate": "2019-08-24"
45 },
46 "property2": {
47 "erpSystem": {
48 "id": 0,
49 "displayId": "string"
50 },
51 "fromCurrency": {
52 "id": 0,
53 "displayId": "string"
54 },
55 "toCurrency": {
56 "id": 0,
57 "displayId": "string"
58 },
59 "referenceCurrency": {
60 "id": 0,
61 "displayId": "string"
62 },
63 "exchangeRateType": "string",
64 "conversionDate": "2019-08-24"
65 }
66 },
67 "currencyConversionRequired": true
68 }
69 ]
70}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "journalInitialDataResponses": {
3 "property1": {
4 "companyId": 0,
5 "accountingStandardId": 0,
6 "documentTypeDeterminationIds": [
7 0
8 ],
9 "fiscalVariantId": 0,
10 "fiscalPeriodId": 0,
11 "exchangeRates": {
12 "property1": {
13 "request": {
14 "erpSystem": {
15 "id": 0,
16 "displayId": "string"
17 },
18 "fromCurrency": {
19 "id": 0,
20 "displayId": "string"
21 },
22 "toCurrency": {
23 "id": 0,
24 "displayId": "string"
25 },
26 "referenceCurrency": {
27 "id": 0,
28 "displayId": "string"
29 },
30 "exchangeRateType": "string",
31 "conversionDate": "2019-08-24"
32 },
33 "exchangeRate": 0,
34 "fromCurrency": {
35 "id": 0,
36 "status": "CREATED",
37 "displayId": "string",
38 "erpSystemId": 0,
39 "erpSystemDisplayId": "string",
40 "name": "string",
41 "decimalPoints": 0,
42 "depreciationAreaId": 0
43 },
44 "toCurrency": {
45 "id": 0,
46 "status": "CREATED",
47 "displayId": "string",
48 "erpSystemId": 0,
49 "erpSystemDisplayId": "string",
50 "name": "string",
51 "decimalPoints": 0,
52 "depreciationAreaId": 0
53 },
54 "referenceCurrency": {
55 "id": 0,
56 "status": "CREATED",
57 "displayId": "string",
58 "erpSystemId": 0,
59 "erpSystemDisplayId": "string",
60 "name": "string",
61 "decimalPoints": 0,
62 "depreciationAreaId": 0
63 },
64 "errorMessage": "string",
65 "hasError": true
66 },
67 "property2": {
68 "request": {
69 "erpSystem": {
70 "id": 0,
71 "displayId": "string"
72 },
73 "fromCurrency": {
74 "id": 0,
75 "displayId": "string"
76 },
77 "toCurrency": {
78 "id": 0,
79 "displayId": "string"
80 },
81 "referenceCurrency": {
82 "id": 0,
83 "displayId": "string"
84 },
85 "exchangeRateType": "string",
86 "conversionDate": "2019-08-24"
87 },
88 "exchangeRate": 0,
89 "fromCurrency": {
90 "id": 0,
91 "status": "CREATED",
92 "displayId": "string",
93 "erpSystemId": 0,
94 "erpSystemDisplayId": "string",
95 "name": "string",
96 "decimalPoints": 0,
97 "depreciationAreaId": 0
98 },
99 "toCurrency": {
100 "id": 0,
101 "status": "CREATED",
102 "displayId": "string",
103 "erpSystemId": 0,
104 "erpSystemDisplayId": "string",
105 "name": "string",
106 "decimalPoints": 0,
107 "depreciationAreaId": 0
108 },
109 "referenceCurrency": {
110 "id": 0,
111 "status": "CREATED",
112 "displayId": "string",
113 "erpSystemId": 0,
114 "erpSystemDisplayId": "string",
115 "name": "string",
116 "decimalPoints": 0,
117 "depreciationAreaId": 0
118 },
119 "errorMessage": "string",
120 "hasError": true
121 }
122 },
123 "errors": {
124 "all": [
125 {
126 "type": "GENERIC",
127 "errorMessage": "string",
128 "source": {},
129 "field": "string",
130 "errorKey": "string"
131 }
132 ]
133 }
134 },
135 "property2": {
136 "companyId": 0,
137 "accountingStandardId": 0,
138 "documentTypeDeterminationIds": [
139 0
140 ],
141 "fiscalVariantId": 0,
142 "fiscalPeriodId": 0,
143 "exchangeRates": {
144 "property1": {
145 "request": {
146 "erpSystem": {
147 "id": 0,
148 "displayId": "string"
149 },
150 "fromCurrency": {
151 "id": 0,
152 "displayId": "string"
153 },
154 "toCurrency": {
155 "id": 0,
156 "displayId": "string"
157 },
158 "referenceCurrency": {
159 "id": 0,
160 "displayId": "string"
161 },
162 "exchangeRateType": "string",
163 "conversionDate": "2019-08-24"
164 },
165 "exchangeRate": 0,
166 "fromCurrency": {
167 "id": 0,
168 "status": "CREATED",
169 "displayId": "string",
170 "erpSystemId": 0,
171 "erpSystemDisplayId": "string",
172 "name": "string",
173 "decimalPoints": 0,
174 "depreciationAreaId": 0
175 },
176 "toCurrency": {
177 "id": 0,
178 "status": "CREATED",
179 "displayId": "string",
180 "erpSystemId": 0,
181 "erpSystemDisplayId": "string",
182 "name": "string",
183 "decimalPoints": 0,
184 "depreciationAreaId": 0
185 },
186 "referenceCurrency": {
187 "id": 0,
188 "status": "CREATED",
189 "displayId": "string",
190 "erpSystemId": 0,
191 "erpSystemDisplayId": "string",
192 "name": "string",
193 "decimalPoints": 0,
194 "depreciationAreaId": 0
195 },
196 "errorMessage": "string",
197 "hasError": true
198 },
199 "property2": {
200 "request": {
201 "erpSystem": {
202 "id": 0,
203 "displayId": "string"
204 },
205 "fromCurrency": {
206 "id": 0,
207 "displayId": "string"
208 },
209 "toCurrency": {
210 "id": 0,
211 "displayId": "string"
212 },
213 "referenceCurrency": {
214 "id": 0,
215 "displayId": "string"
216 },
217 "exchangeRateType": "string",
218 "conversionDate": "2019-08-24"
219 },
220 "exchangeRate": 0,
221 "fromCurrency": {
222 "id": 0,
223 "status": "CREATED",
224 "displayId": "string",
225 "erpSystemId": 0,
226 "erpSystemDisplayId": "string",
227 "name": "string",
228 "decimalPoints": 0,
229 "depreciationAreaId": 0
230 },
231 "toCurrency": {
232 "id": 0,
233 "status": "CREATED",
234 "displayId": "string",
235 "erpSystemId": 0,
236 "erpSystemDisplayId": "string",
237 "name": "string",
238 "decimalPoints": 0,
239 "depreciationAreaId": 0
240 },
241 "referenceCurrency": {
242 "id": 0,
243 "status": "CREATED",
244 "displayId": "string",
245 "erpSystemId": 0,
246 "erpSystemDisplayId": "string",
247 "name": "string",
248 "decimalPoints": 0,
249 "depreciationAreaId": 0
250 },
251 "errorMessage": "string",
252 "hasError": true
253 }
254 },
255 "errors": {
256 "all": [
257 {
258 "type": "GENERIC",
259 "errorMessage": "string",
260 "source": {},
261 "field": "string",
262 "errorKey": "string"
263 }
264 ]
265 }
266 }
267 },
268 "companies": {
269 "property1": {
270 "id": 0,
271 "status": "CREATED",
272 "displayId": "string",
273 "erpSystemId": 0,
274 "erpSystemDisplayId": "string",
275 "countryId": 0,
276 "countryDisplayId": "string",
277 "postingPeriodVariantId": 0,
278 "name": "string",
279 "postingPeriodVariantDisplayId": "string",
280 "controllingAreaId": 0,
281 "controllingAreaDisplayId": "string",
282 "chartOfAccountId": 0,
283 "chartOfAccountDisplayId": "string",
284 "fiscalVariantId": 0,
285 "fiscalVariantDisplayId": "string",
286 "chartOfDepreciationId": 0,
287 "chartOfDepreciationDisplayId": "string",
288 "purchasingOrganizationId": 0,
289 "assetId": 0,
290 "exchangeRateTypeId": 0,
291 "plantId": 0,
292 "incrementalBorrowingRateId": 0,
293 "businessUnitId": 0,
294 "projectId": 0,
295 "transferVariantId": 0,
296 "partnerId": 0,
297 "departmentId": 0,
298 "accountingStandardId": 0,
299 "generalLedgerAccountId": 0,
300 "consumerPriceIndexCategoryId": 0,
301 "costCenterId": 0,
302 "costCenterRelationValidFrom": "2019-08-24",
303 "costCenterRelationValidTo": "2019-08-24"
304 },
305 "property2": {
306 "id": 0,
307 "status": "CREATED",
308 "displayId": "string",
309 "erpSystemId": 0,
310 "erpSystemDisplayId": "string",
311 "countryId": 0,
312 "countryDisplayId": "string",
313 "postingPeriodVariantId": 0,
314 "name": "string",
315 "postingPeriodVariantDisplayId": "string",
316 "controllingAreaId": 0,
317 "controllingAreaDisplayId": "string",
318 "chartOfAccountId": 0,
319 "chartOfAccountDisplayId": "string",
320 "fiscalVariantId": 0,
321 "fiscalVariantDisplayId": "string",
322 "chartOfDepreciationId": 0,
323 "chartOfDepreciationDisplayId": "string",
324 "purchasingOrganizationId": 0,
325 "assetId": 0,
326 "exchangeRateTypeId": 0,
327 "plantId": 0,
328 "incrementalBorrowingRateId": 0,
329 "businessUnitId": 0,
330 "projectId": 0,
331 "transferVariantId": 0,
332 "partnerId": 0,
333 "departmentId": 0,
334 "accountingStandardId": 0,
335 "generalLedgerAccountId": 0,
336 "consumerPriceIndexCategoryId": 0,
337 "costCenterId": 0,
338 "costCenterRelationValidFrom": "2019-08-24",
339 "costCenterRelationValidTo": "2019-08-24"
340 }
341 },
342 "documentTypeDetermination": {
343 "property1": {
344 "id": 0,
345 "status": "CREATED",
346 "displayId": "string",
347 "erpSystemId": 0,
348 "erpSystemDisplayId": "string",
349 "principalPositionType": "LESSEE",
350 "companyId": 0,
351 "companyDisplayId": "string",
352 "countryDisplayId": "string",
353 "companyName": "string",
354 "postingDocumentType": "ACCRUAL",
355 "accountingStandardType": "GAAP",
356 "leaseClassificationType": "NON_LEASE",
357 "assetClassId": 0,
358 "assetClassDisplayId": "string",
359 "assetClassName": "string",
360 "leaseType": "LEASE_CONTRACT_FIXED_PART_A",
361 "documentTypeId": 0,
362 "documentTypeDisplayId": "string",
363 "documentTypeName": "string"
364 },
365 "property2": {
366 "id": 0,
367 "status": "CREATED",
368 "displayId": "string",
369 "erpSystemId": 0,
370 "erpSystemDisplayId": "string",
371 "principalPositionType": "LESSEE",
372 "companyId": 0,
373 "companyDisplayId": "string",
374 "countryDisplayId": "string",
375 "companyName": "string",
376 "postingDocumentType": "ACCRUAL",
377 "accountingStandardType": "GAAP",
378 "leaseClassificationType": "NON_LEASE",
379 "assetClassId": 0,
380 "assetClassDisplayId": "string",
381 "assetClassName": "string",
382 "leaseType": "LEASE_CONTRACT_FIXED_PART_A",
383 "documentTypeId": 0,
384 "documentTypeDisplayId": "string",
385 "documentTypeName": "string"
386 }
387 },
388 "fiscalVariants": {
389 "property1": {
390 "id": 0,
391 "status": "CREATED",
392 "displayId": "string",
393 "erpSystemId": 0,
394 "erpSystemDisplayId": "string",
395 "numberOfPostingPeriods": 0,
396 "numberOfSpecialPeriods": 0,
397 "isCalendarYear": true,
398 "yearDependent": true,
399 "companyId": 0,
400 "fiscalPeriodId": 0,
401 "postingPeriodControlId": 0
402 },
403 "property2": {
404 "id": 0,
405 "status": "CREATED",
406 "displayId": "string",
407 "erpSystemId": 0,
408 "erpSystemDisplayId": "string",
409 "numberOfPostingPeriods": 0,
410 "numberOfSpecialPeriods": 0,
411 "isCalendarYear": true,
412 "yearDependent": true,
413 "companyId": 0,
414 "fiscalPeriodId": 0,
415 "postingPeriodControlId": 0
416 }
417 },
418 "fiscalPeriods": {
419 "property1": {
420 "id": 0,
421 "status": "CREATED",
422 "displayId": "string",
423 "erpSystemId": 0,
424 "erpSystemDisplayId": "string",
425 "year": 0,
426 "month": 0,
427 "day": 0,
428 "postingPeriod": 0,
429 "yearShift": 0,
430 "fiscalVariantId": 0,
431 "fiscalVariantDisplayId": "string"
432 },
433 "property2": {
434 "id": 0,
435 "status": "CREATED",
436 "displayId": "string",
437 "erpSystemId": 0,
438 "erpSystemDisplayId": "string",
439 "year": 0,
440 "month": 0,
441 "day": 0,
442 "postingPeriod": 0,
443 "yearShift": 0,
444 "fiscalVariantId": 0,
445 "fiscalVariantDisplayId": "string"
446 }
447 },
448 "postingPeriodControl": {
449 "property1": [
450 {
451 "id": 0,
452 "status": "CREATED",
453 "displayId": "string",
454 "erpSystemId": 0,
455 "erpSystemDisplayId": "string",
456 "generalLedgerAccountTarget": "ALL",
457 "fromAccountNumber": "string",
458 "toAccountNumber": "string",
459 "fiscalPeriodStart": 0,
460 "fiscalYearStart": 0,
461 "fiscalPeriodEnd": 0,
462 "fiscalYearEnd": 0,
463 "postingPeriodVariantId": 0,
464 "postingPeriodVariantDisplayId": "string"
465 }
466 ],
467 "property2": [
468 {
469 "id": 0,
470 "status": "CREATED",
471 "displayId": "string",
472 "erpSystemId": 0,
473 "erpSystemDisplayId": "string",
474 "generalLedgerAccountTarget": "ALL",
475 "fromAccountNumber": "string",
476 "toAccountNumber": "string",
477 "fiscalPeriodStart": 0,
478 "fiscalYearStart": 0,
479 "fiscalPeriodEnd": 0,
480 "fiscalYearEnd": 0,
481 "postingPeriodVariantId": 0,
482 "postingPeriodVariantDisplayId": "string"
483 }
484 ]
485 }
486}
Posting Initial Data - Get Tax Initial DataΒΆ
HTTP Request
POST /api/v1/posting-initial-data/tax
π Description: Submits initial tax data for a financial entity within the organizational structure, enabling accurate hierarchy management and compliance with regulatory requirements.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing the tax-related information necessary for establishing the financial organization structure and hierarchy of a specified financial entity. |
Body Parameters
1[
2 {
3 "expenseCategoryId": 0,
4 "taxCodeDeterminationId": 0
5 }
6]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "taxCodeDeterminations": [
3 {
4 "taxCodeDeterminationDto": {
5 "id": 0,
6 "status": "CREATED",
7 "displayId": "string",
8 "erpSystemId": 0,
9 "erpSystemDisplayId": "string",
10 "countryId": 0,
11 "countryDisplayId": "string",
12 "countryTaxJurisdictionEnabled": true,
13 "forAllCompanies": true,
14 "companyId": 0,
15 "companyDisplayId": "string",
16 "companyName": "string",
17 "forAllAssetClasses": true,
18 "assetClassId": 0,
19 "assetClassDisplayId": "string",
20 "forAllPartners": true,
21 "partnerId": 0,
22 "partnerDisplayId": "string",
23 "partnerName": "string",
24 "taxJurisdictionId": 0,
25 "taxJurisdictionDisplayId": "string",
26 "defaultTaxCodeId": 0,
27 "defaultTaxCodeDisplayId": "string",
28 "defaultExemptionTaxCodeId": 0,
29 "defaultExemptionTaxCodeDisplayId": "string",
30 "defaultExemptionPercentage": 0.1
31 },
32 "taxCodeExpenseCategoryMapping": {
33 "id": 0,
34 "rowNumber": 0,
35 "rowIdentifier": "string",
36 "errors": [
37 "string"
38 ],
39 "linkedErrors": [
40 "string"
41 ],
42 "warnings": [
43 "string"
44 ],
45 "remarks": [
46 "string"
47 ],
48 "skipMessage": "string",
49 "determinationId": 0,
50 "determinationDisplayId": "string",
51 "isLeaseExpense": true,
52 "expenseCategoryId": 0,
53 "expenseCategoryDisplayId": "string",
54 "expenseCategoryName": "string",
55 "nonLeaseTaxCodeId": 0,
56 "nonLeaseTaxCodeDisplayId": "string",
57 "nonLeaseExemptionTaxCodeId": 0,
58 "nonLeaseExemptionTaxCodeDisplayId": "string",
59 "nonLeaseExemptionTaxPercentage": 0.1,
60 "principalTaxCodeId": 0,
61 "principalTaxCodeDisplayId": "string",
62 "principalExemptionTaxCodeId": 0,
63 "principalExemptionTaxCodeDisplayId": "string",
64 "principalExemptionTaxPercentage": 0.1
65 }
66 }
67 ]
68}
Posting Initial Data - Validate Inter Company Transfer Initial DataΒΆ
HTTP Request
POST /api/v1/posting-initial-data/inter-company-transfer
π Description: Submits initial data for inter-company transfers within the financial organization structure, facilitating the establishment and management of hierarchical relationships between financial entities.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing the inter-company transfer data, including details on the financial entities involved, their organizational structure, and hierarchical relationships. |
Body Parameters
1{
2 "requests": [
3 {
4 "contractId": 0,
5 "transferDate": "2019-08-24",
6 "oldErpSystemDisplayId": "string",
7 "newErpSystemDisplayId": "string",
8 "oldCompanyDisplayId": "string",
9 "newCompanyDisplayId": "string",
10 "contractCurrencyDisplayId": "string",
11 "partnerIds": [
12 0
13 ],
14 "assetClassIds": [
15 0
16 ],
17 "leaseType": "LEASE_CONTRACT_FIXED_PART_A",
18 "accountingStandardAndClassificationMap": {
19 "property1": [
20 "NON_LEASE"
21 ],
22 "property2": [
23 "NON_LEASE"
24 ]
25 }
26 }
27 ]
28}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "transferResponses": [
3 {
4 "success": true,
5 "errorMessage": "string",
6 "contractId": 0,
7 "transferDate": "2019-08-24",
8 "oldErpSystemDisplayId": "string",
9 "newErpSystemDisplayId": "string",
10 "oldCompanyDisplayId": "string",
11 "newCompanyDisplayId": "string",
12 "partnerIds": [
13 0
14 ],
15 "assetClassIds": [
16 0
17 ],
18 "accountingStandardIds": [
19 0
20 ]
21 }
22 ]
23}
Posting Initial Data - Get General Ledger Initial DataΒΆ
HTTP Request
POST /api/v1/posting-initial-data/general-ledger
π Description: Submits initial general ledger data to establish the financial organization structure and hierarchy for a specified financial entity.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing the initial financial entity data for establishing the organization structure and hierarchy within the general ledger. |
Body Parameters
1{
2 "generalLedgerRequests": [
3 {
4 "vendorId": "string",
5 "tag": "string",
6 "accountName": "string",
7 "taxAccount": true,
8 "generalLedgerDisplayId": "string",
9 "companyId": 0,
10 "systemId": 0,
11 "businessAreaId": 0,
12 "accountingStandardId": 0,
13 "internalAssetClassId": 0,
14 "principalPositionType": "LESSEE",
15 "leaseClassificationType": "NON_LEASE",
16 "journalEntrySubType": "LIABILITY",
17 "leaseType": "LEASE_CONTRACT_FIXED_PART_A",
18 "credit": true
19 }
20 ]
21}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "generalLedgerResponses": [
3 {
4 "partner": {
5 "id": 0,
6 "status": "CREATED",
7 "displayId": "string",
8 "erpSystemId": 0,
9 "erpSystemDisplayId": "string",
10 "name": "string",
11 "fax": "string",
12 "phone": "string",
13 "parentId": 0,
14 "parentName": "string",
15 "parentDisplayId": "string",
16 "companyId": 0,
17 "partnerRoleId": 0,
18 "partnerContactId": 0
19 },
20 "accountingStandardType": "GAAP",
21 "generalLedgerAccountDto": {
22 "id": 0,
23 "status": "CREATED",
24 "displayId": "string",
25 "erpSystemId": 0,
26 "erpSystemDisplayId": "string",
27 "shortName": "string",
28 "longName": "string",
29 "accountCategory": "BALANCESHEET",
30 "accountTarget": "ALL",
31 "companyId": 0,
32 "openItemManagement": true
33 },
34 "transactionType": "string",
35 "companyId": 0,
36 "systemId": 0,
37 "vendorId": "string",
38 "tag": "string",
39 "accountName": "string",
40 "taxAccount": true,
41 "internalAssetClassId": 0,
42 "accountingStandardId": 0,
43 "generalLedgerDisplayId": "string",
44 "principalPositionType": "LESSEE",
45 "leaseClassificationType": "NON_LEASE",
46 "leaseType": "LEASE_CONTRACT_FIXED_PART_A",
47 "journalEntrySubType": "LIABILITY",
48 "errorMessage": "string",
49 "vendorType": true
50 }
51 ]
52}